org.keycloak.representations.account

## Class ConsentRepresentation

- java.lang.Object
- - org.keycloak.representations.account.ConsentRepresentation

-     public class ConsentRepresentation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsentRepresentation()`
    `ConsentRepresentation(List<ConsentScopeRepresentation> grantedScopes, Long createdDate, Long lastUpdatedDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getCreatedDate()`
    `List<ConsentScopeRepresentation>` | `getGrantedScopes()`
    `Long` | `getLastUpdatedDate()`
    `void` | `setCreatedDate(Long createdDate)`
    `void` | `setGrantedScopes(List<ConsentScopeRepresentation> grantedScopes)`
    `void` | `setLastUpdatedDate(Long lastUpdatedDate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsentRepresentation

          public ConsentRepresentation()

    - #### ConsentRepresentation

          public ConsentRepresentation(List<ConsentScopeRepresentation> grantedScopes,
                                       Long createdDate,
                                       Long lastUpdatedDate)

  - ### Method Detail

    - #### getGrantedScopes

          public List<ConsentScopeRepresentation> getGrantedScopes()

    - #### setGrantedScopes

          public void setGrantedScopes(List<ConsentScopeRepresentation> grantedScopes)

    - #### getCreatedDate

          public Long getCreatedDate()

    - #### setCreatedDate

          public void setCreatedDate(Long createdDate)

    - #### getLastUpdatedDate

          public Long getLastUpdatedDate()

    - #### setLastUpdatedDate

          public void setLastUpdatedDate(Long lastUpdatedDate)

Copyright © 2021 JBoss by Red Hat. All rights reserved.